## `value::get_bool`

Return the underlying `bool`, without checking.

### Synopsis

    bool&
    get_bool() noexcept; (1)

    bool
    get_bool() const noexcept; (2)

### Description

This is the fastest way to access the underlying representation when the kind is known in advance.

### Preconditions

    this->is_bool()

### Complexity

Constant.

### Exception Safety

No-throw guarantee.

Edit this page